import { http } from '@/utils/http/axios';

/**
 * @description: 列表
 */
export function getTagList(params?) {
  return http.request({
    url: '/tag/page',
    method: 'GET',
    params,
  });
}
/**
 * @description: 根据ID获取详情
 */
export function getTagDetail(tagId) {
  return http.request({
    url: '/tag/detail/'+tagId,
    method: 'get',
  });
}
/**
 * @description: 添加
 */
export function tagAdd(data:any) {
  return http.request({
    url: '/tag/add',
    method: 'POST',
    data,
  });
}
/**
 * @description: 更新
 */
export function tagUpdate(data:any) {
  return http.request({
    url: '/tag/update',
    method: 'PUT',
    data
  });
}
/**
 * @description: 删除
 */
export function tagDelete(tagId) {
  return http.request({
    url: '/tag/delete/'+tagId,
    method: 'DELETE',
  });
}
/**
 * @description: 批量删除
 */
export function tagBatchDelete(data:any) {
  return http.request({
    url: '/tag/batchDelete',
    method: 'DELETE',
    data
  });
}